Bug 165529 - Make: assert() fails, make dumps core
Make: assert() fails, make dumps core
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: make (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-08-10 03:57 EDT by Suzuki Takashi
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-27 17:32:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Suzuki Takashi 2005-08-10 03:57:04 EDT
+++ This bug was initially created as a clone of Bug #55490 +++

This is the only line in a makefile:


There is a file a.c, which is irrelevant. I used a simple helloworld 

Run make as:

binand@binand[~/testprogs]:(25) make CFLAGS+=-DMAIN a

This is the output:

cc -DMAIN -DMAIN    a.c   -o a
make: expand.c:489: allocated_variable_append: Assertion 
`current_variable_set_list->next != 0' failed.
Aborted (core dumped)
Comment 1 Suzuki Takashi 2005-08-10 03:59:08 EDT
I wanted to try valgrind,
but couldn't rebuild valgrind-2.2.0-5.EL4.src.rpm or valgrind-2.4.0-3.src.rpm
on a RHEL3WS system.
Comment 2 Jakub Jelinek 2005-09-27 17:32:21 EDT
It is fixed in RHEL4.  I don't think it is severe enough to justify a RHEL3
errata at this point.

Note You need to log in before you can comment on or make changes to this bug.